
-- based on boost by modelleicher
-- rev2

deereboost = {};

function deereboost.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function deereboost:load(xmlFile)
		 
	self.boost = false	
	
	-- boost Symbol--
	
	self.hudboost_yesPosX = 0.65;
        self.hudboost_yesWidth = 0.1;
        self.hudboost_yesPosY = 0.2;
        self.hudboost_yesHeight = 0.1;

	self.infoPanelboostPath = Utils.getFilename("allrad_symb_yes.png", self.baseDirectory);
	self.hudboost_yesOverlay = Overlay:new("hudallrad_yesOverlay", self.infoPanelboostPath, self.hudallrad_yesPosX, self.hudallrad_yesPosY, self.hudallrad_yesWidth, self.hudallrad_yesHeight);

	self.showHudallrad_yes = false;
				 
end;

function deereboost:delete()

	-- boostsymbol --
        if self.hudallradyesOverlay ~= nil then
	self.hudallrad_yesOverlay:delete();
	end;
end;

function deereboost:mouseEvent(posX, posY, isDown, isUp, button)
end;

function deereboost:keyEvent(unicode, sym, modifier, isDown)
end;

function deereboost:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    		
		if InputBinding.hasEvent(InputBinding.boost) then
		   	if self.boost == false then
		   	self.boost = true
		   	else
		   	self.boost = false
		   	end;
		end;

   		-- boost Symbol Status --
   		if self.boost == true then
		self.showHudboost_yes = true
		else
		self.showHudboost_yes = false
		end;

		if self.torque == 7.1 then
	        self.torque = 7.3
		end;	   				
	end;			 
end;

function deereboost:draw()
		
  	if self.showHudallrad_yes and self.isEntered then
	self.hudallrad_yesOverlay:render();
	end;

end;

