
-- by modelleicher + Alex
-- edited 2011/03/18

HUD = {};

function HUD.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function HUD:load(xmlFile)

	-- Info Hud --
	self.hudFendtInfoPosX = 0.65;
        self.hudFendtInfoWidth = 0.30;
        self.hudFendtInfoPosY = 0.40;
        self.hudFendtInfoHeight = 0.36;

	self.infoPanelFendtInfoPath = Utils.getFilename("HUD.png", self.baseDirectory);
	self.hudFendtInfoOverlay = Overlay:new("hudFendtInfoOverlay", self.infoPanelFendtInfoPath, self.hudFendtInfoPosX, self.hudFendtInfoPosY, self.hudFendtInfoWidth, self.hudFendtInfoHeight);

	self.showHudFendtInfo = false;

end;

function HUD:delete()

     	-- Info Hud --
        if self.hudFendtInfoOverlay ~= nil then
	self.hudFendtInfoOverlay:delete();
	end;

end;

function HUD:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HUD:keyEvent(unicode, sym, modifier, isDown)
end;

function HUD:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.HUD) then
		    self.showHudFendtInfo = not self.showHudFendtInfo;
		end;
	end;			 

end;

function HUD:draw()


  	if self.showHudFendtInfo and self.isEntered then
		self.hudFendtInfoOverlay:render();
	end;

end;

